io.vertx.reactivex.ext.healthchecks

## Class HealthChecks

- java.lang.Object
- - io.vertx.reactivex.ext.healthchecks.HealthChecks

-     public class HealthChecks
      extends Object

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<HealthChecks>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HealthChecks(HealthChecks delegate)`
    `HealthChecks(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HealthChecks` | `create(Vertx vertx)` Creates a new instance of the default implementation of `HealthChecks`.
    `boolean` | `equals(Object o)`
    `HealthChecks` | `getDelegate()`
    `int` | `hashCode()`
    `HealthChecks` | `invoke(Handler<JsonObject> resultHandler)` Invokes the registered procedures and computes the outcome.
    `HealthChecks` | `invoke(String name, Handler<AsyncResult<JsonObject>> resultHandler)` Invokes the registered procedure with the given name and sub-procedures.
    `static HealthChecks` | `newInstance(HealthChecks arg)`
    `HealthChecks` | `register(String name, Handler<Promise<Status>> procedure)` Registers a health check procedure.
    `HealthChecks` | `register(String name, long timeout, Handler<Promise<Status>> procedure)` Registers a health check procedure.
    `Single<JsonObject>` | `rxInvoke(String name)` Invokes the registered procedure with the given name and sub-procedures.
    `String` | `toString()`
    `HealthChecks` | `unregister(String name)` Unregisters a procedure.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<HealthChecks> __TYPE_ARG

  - ### Constructor Detail

    - #### HealthChecks

          public HealthChecks(HealthChecks delegate)

    - #### HealthChecks

          public HealthChecks(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public HealthChecks getDelegate()

    - #### create

          public static HealthChecks create(Vertx vertx)

      Creates a new instance of the default implementation of `HealthChecks`.
      Parameters:
        `vertx` - the instance of Vert.x, must not be `null`
      Returns:
        the created instance

    - #### register

          public HealthChecks register(String name,
                                       Handler<Promise<Status>> procedure)

      Registers a health check procedure.

      The procedure is a taking a of `Status` as parameter. Procedures are asynchronous, and must complete or fail the given . If the future object is failed, the procedure outcome is considered as `DOWN`. If the future is completed without any object, the procedure outcome is considered as `UP`. If the future is completed with a (not-null) `Status`, the procedure outcome is the received status.

      This method uses a 1s timeout. Use `register(java.lang.String, io.vertx.core.Handler<io.vertx.reactivex.core.Promise<io.vertx.ext.healthchecks.Status>>)` to configure the timeout.

      Parameters:
        `name` - the name of the procedure, must not be `null` or empty
        `procedure` - the procedure, must not be `null`
      Returns:
        the current `HealthChecks`

    - #### register

          public HealthChecks register(String name,
                                       long timeout,
                                       Handler<Promise<Status>> procedure)

      Registers a health check procedure.

      The procedure is a taking a of `Status` as parameter. Procedures are asynchronous, and must complete or fail the given . If the future object is failed, the procedure outcome is considered as `DOWN`. If the future is completed without any object, the procedure outcome is considered as `UP`. If the future is completed with a (not-null) `Status`, the procedure outcome is the received status.

      Parameters:
        `name` - the name of the procedure, must not be `null` or empty
        `timeout` - the procedure timeout in milliseconds
        `procedure` - the procedure, must not be `null`
      Returns:
        the current `HealthChecks`

    - #### unregister

          public HealthChecks unregister(String name)

      Unregisters a procedure.
      Parameters:
        `name` - the name of the procedure
      Returns:
        the current `HealthChecks`

    - #### invoke

          public HealthChecks invoke(Handler<JsonObject> resultHandler)

      Invokes the registered procedures and computes the outcome.
      Parameters:
        `resultHandler` - the result handler, must not be `null`. The handler received the computed .
      Returns:
        the current `HealthChecks`

    - #### invoke

          public HealthChecks invoke(String name,
                                     Handler<AsyncResult<JsonObject>> resultHandler)

      Invokes the registered procedure with the given name and sub-procedures. It computes the overall outcome.
      Parameters:
        `name` -
        `resultHandler` - the result handler, must not be `null`. The handler received an marked as failed if the procedure with the given name cannot be found or invoked.
      Returns:
        the current `HealthChecks`

    - #### rxInvoke

          public Single<JsonObject> rxInvoke(String name)

      Invokes the registered procedure with the given name and sub-procedures. It computes the overall outcome.
      Parameters:
        `name` -
      Returns:
        the current `HealthChecks`

    - #### newInstance

          public static HealthChecks newInstance(HealthChecks arg)

Copyright © 2021 Eclipse. All rights reserved.